<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="
           http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
           http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">


	<!-- Import des properties uniquement pour les TU car ces properties doivent 
		venir du module appelant -->
	<bean
		class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="ignoreResourceNotFound" value="true"/>
		<property name="locations">
			<list>
				<value>classpath:ge-authentification-ct.properties</value>
			</list>
		</property>
	</bean>

	<!-- Chargement du context contenant les paramètre d'authentification à 
		partir des properties externalisées des modules -->
	<bean id="authentificationConfigurationWebBean"
		class="fr.ge.ct.authentification.bean.conf.AuthentificationConfigurationWebBean"
		factory-method="getInstance">
		<property name="urlModification" value="${ct.authentification.url.modification}" />
		<property name="urlLogout" value="${ct.authentification.url.logout}" />
		<property name="excludeUrlsPattern">
			<bean class="java.util.regex.Pattern" factory-method="compile">
				<constructor-arg value="${ct.authentification.url.exclude}" />
			</bean>
		</property>
		<property name="urlAccountAlive" value="${ct.authentification.url.alive}" />
		<property name="cookieAnonymousName" value="${ct.authentification.cookie.anonymous.name:GE_PROFILER}" />
		<property name="cookieAnonymousAllow" value="${ct.authentification.cookie.anonymous.allow:false}" />
		<property name="cookieAnonymousAge" value="${ct.authentification.cookie.anonymous.age:86400}" />
		<property name="cookieAnonymousSecure" value="${ct.authentification.cookie.anonymous.secure:true}" />
		<property name="cookieAnonymousHttpOnly" value="${ct.authentification.cookie.anonymous.httponly:true}" />
		<property name="trustInHeaders" value="${ct.authentification.trust.headers:true}" />
	</bean>

</beans>
